package intrinsic.mx.controls.videoClasses;

public class NCManager extends Object implements intrinsic.mx.controls.videoClasses.INCManager {

	/** Accessors */
	public double streamWidth;
	public intrinsic.flash.net.NetConnection netConnection;
	public String streamName;
	public int timeout;
	public double streamLength;
	public double bitrate;
	public double streamHeight;
	public intrinsic.mx.controls.videoClasses.VideoPlayer videoPlayer;

	/** Variables */
	public String fallbackServerName;
	public int payload;
	public intrinsic.Array tryNC;

	/** Constants */
	public static final String VERSION = "version";
	public static final double DEFAULT_TIMEOUT = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NCManager() {
}


/** Static Methods */

/** Methods */
public native void onReconnected();
public native void onConnected(intrinsic.flash.net.NetConnection arg0, double arg1);
public native void disconnectOnStatus(intrinsic.flash.events.NetStatusEvent arg0);
public native boolean connectToURL(String arg0);
public native boolean isRTMP();
public native boolean connectAgain();
public native void close();
public native void reconnect();
public native void reconnectOnStatus(intrinsic.flash.events.NetStatusEvent arg0);
public native void connectOnStatus(intrinsic.flash.events.NetStatusEvent arg0);

}
